#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		svers	%(echo %{version} | cut -d '.' -f1)
%define		commit	%(echo %{version} | cut -d '.' -f2)
#-----------------------------------------------------------------------------
Name		:	rnnoise
Version		:	20210312.7f449bf8
Release		:	14.8.0.0%{?dist}
Summary		:	Recurrent neural network for audio noise reduction

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://gitlab.xiph.org/xiph/rnnoise

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	gcc-c++
BuildRequires	:	make
#-----------------------------------------------------------------------------
%description
RNNoise is a noise suppression library based on
a recurrent neural network.
 
While it is meant to be used as a library, a
simple command-line tool is provided as an example.
It operates on RAW 16-bit (machine endian) mono PCM
files sampled at 48 kHz. It can be used as:
 
./examples/rnnoise_demo <noisy speech> <output denoised>
 
The output is also a 16-bit raw PCM file.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS README
%license COPYING
%{_libdir}/lib%{name}.so.0*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%package		doc
Summary		:	Documentation files for %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name}-devel	= %{version}-%{release}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
The %{name}-doc package contains html file
files about using and developing applications
that use %{name}.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%doc TRAINING-README
%{_defaultdocdir}/%{name}-%{svers}/html/*.css
%{_defaultdocdir}/%{name}-%{svers}/html/*.html
%{_defaultdocdir}/%{name}-%{svers}/html/*.js
%{_defaultdocdir}/%{name}-%{svers}/html/search/search.css
%{_defaultdocdir}/%{name}-%{svers}/html/search/*.js
%{_defaultdocdir}/%{name}-%{svers}/html/search/*.svg
%{_defaultdocdir}/%{name}-%{svers}/html/*.png
%{_defaultdocdir}/%{name}-%{svers}/html/*.svg


#=============================================================================
%prep
%setup -q

cat > 'package_version' <<-EOF
    PACKAGE_VERSION=%{commit}
EOF

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
	--prefix=%{_prefix}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{svers}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

# Duplicate
%{__rm} %{buildroot}%{_docdir}/%{name}-%{svers}/AUTHORS
%{__rm} %{buildroot}%{_docdir}/%{name}-%{svers}/README
%{__rm} %{buildroot}%{_docdir}/%{name}-%{svers}/COPYING

#To remove libtool library and static library
find 							\
	%{buildroot}%{_libdir}				\
	\(						\
		 -name \*.la				\
		 -o					\
		 -name \*.a				\
	 \)						\
	-delete

#-----------------------------------------------------------------------------
%changelog
